.gallery{
    position: relative;
    width: 100%;
    height: 550px;

    overflow: hidden;
    border-radius: 10px;

    background: #111;

    box-shadow:
        0 20px 50px rgba(0,0,0,.15);
}

.gallery-img{
    position: absolute;
    inset: 0;

    width: 100%;
    height: 100%;

    object-fit: cover;

    opacity: 0;

    transition: opacity .7s;
}

.gallery-img.active{
    opacity: 1;
}

/* Кнопки */

.gallery-btn{
    position: absolute;
    top: 50%;

    width: 55px;
    height: 55px;

    transform: translateY(-50%);

    border: none;
    border-radius: 50%;

    background: rgba(255,255,255,.15);
    backdrop-filter: blur(12px);

    color: white;
    font-size: 26px;

    cursor: pointer;

    transition: .3s;

    z-index: 10;

    opacity: 0;
}

.gallery:hover .gallery-btn{
    opacity: 1;
}

.gallery-btn:hover{
    background: #808000;
}

.prev{
    left: 20px;
}

.next{
    right: 20px;
}

/* Точки */

.gallery-dots{
    position: absolute;

    left: 50%;
    bottom: 25px;

    transform: translateX(-50%);

    display: flex;
    gap: 8px;

    z-index: 10;
}

.gallery-dot{
    width: 12px;
    height: 12px;

    border-radius: 50%;

    background: rgba(255,255,255,.4);

    cursor: pointer;

    transition: .3s;
}

.gallery-dot.active{
    width: 40px;

    border-radius: 5px;

    background: #808000;
}

/* Телефон */

@media(max-width:768px){

    .gallery{
        /*height: 350px;*/
    }

}